Subject: bug#4931: closed (Re: bug#24456: 25.1; [PATCH] Caps-lock doesn't affect interpretation of key chords)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 15 Oct 2016 14:25:02 +0000

Your bug report

#24456: cua-selection-mode with Caps Lock turned on selects region

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24456: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24456
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#24456: 25.1; [PATCH] Caps-lock doesn't affect interpretation of key chords
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Sat, 15 Oct 2016 17:23:59 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sat, 01 Oct 2016 18:59:05 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > From: Dima Kogan <[email-masked]>
> > Cc: [email-masked], [email-masked]
> > Date: Sat, 01 Oct 2016 08:12:27 -0700
> > 
> > > Looks okay, but you still didn't leave a space before the opening
> > > parentheses and the function name.
> > 
> > Attached.
> 
> Looks good, thanks.
> 
> > Is there a tool to automatically detect/fix these?
> 
> I'm not aware of any, but that doesn't mean there isn't one.
> 
> > > Did you try this with a non-ASCII key (assuming you have one on your
> > > keyboard)?
> > 
> > I did not try. I live in the US, and pretty much never see keyboards
> > with anything non-trivial on them. If somebody else would test it, that
> > would be great.
> 
> Could someone please try that and see if it works correctly?

No further comments, so I pushed this to the master branch, and I'm
marking this bug done.

Thanks.

Subject: cua-selection-mode with Caps Lock turned on selects region
From: Deniz Dogan <[email-masked]>
To: [email-masked]
Date: Mon, 16 Nov 2009 01:16:42 +0100

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

When I have cua-selection-mode turned on at the same time as Caps
Lock, Emacs starts selecting a region when I move point as if I were
holding shift.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/home/deniz/usr/share/emacs/23.1.50/etc/DEBUG for instructions.

In GNU Emacs 23.1.50.3 (i686-pc-linux-gnu, GTK+ Version 2.16.5)
 of 2009-08-23 on stalin
Windowing system distributor `The X.Org Foundation', version 11.0.10701000
configured using `configure  '--without-rsvg' '--without-tiff'
'--without-xpm' '--prefix=/home/deniz/usr''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: C
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.utf8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: rcirc

Minor modes in effect:
  shell-dirtrack-mode: t
  rcirc-track-minor-mode: t
  global-auto-complete-mode: t
  cua-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  use-hard-newlines: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<return> C-t o C-a C-p
C-p C-p C-p C-p C-p C-p C-l C-l C-l C-l C-p C-p M-v
M-v M-v C-v C-s s h i f t C-s C-s C-s C-s C-s C-r C-r
C-r C-r C-r C-r C-r C-r C-r C-r C-r C-r C-r C-r C-r
C-r C-r C-r C-r C-r C-r C-r C-r C-r C-r C-r C-r C-r
C-r C-r C-s C-s <return> C-a C-n C-n C-n C-n C-n C-n
C-l C-n C-n C-n C-l C-p C-l C-n C-n C-n C-n C-l C-n
C-l C-n C-l C-n C-n C-n C-l C-p M-p M-p M-n M-n M-p
C-l C-l C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n
C-n C-n C-n C-n C-p C-p C-p C-p C-p C-n C-n C-n C-n
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-t
o C-c C-SPC C-t C-n a n n a r s SPC d å SPC s t a r
<tab> <return> C-t o C-c C-SPC C-t C-n C-t k <return>
C-t o C-t o C-t o SPC v
a <backspace> <backspace> <return> C-t o C-t C-n C-t
C-n C-t C-n C-- C-l C-t C-n C-t o C-h c C-g C-h f M-x
r C-g M-x r e p o r t - b u f <tab> <backspace> <tab>
<return>

Recent messages:
uncompressing cua-base.el.gz...done
mouse-2, RET: find function's definition
Mark saved where search started
uncompressing crisp.el.gz...done
Quit
Searching for `todo'....
Quit
Mark saved where search started
C-g runs the command keyboard-quit
Quit [2 times]

Load-path shadows:
~/.emacs.d/newsticker/newst-ticker hides
/home/deniz/usr/share/emacs/23.1.50/lisp/net/newst-ticker
~/.emacs.d/newsticker/newst-reader hides
/home/deniz/usr/share/emacs/23.1.50/lisp/net/newst-reader
~/.emacs.d/newsticker/newsticker hides
/home/deniz/usr/share/emacs/23.1.50/lisp/net/newsticker
~/.emacs.d/newsticker/newst-plainview hides
/home/deniz/usr/share/emacs/23.1.50/lisp/net/newst-plainview
~/.emacs.d/newsticker/newst-backend hides
/home/deniz/usr/share/emacs/23.1.50/lisp/net/newst-backend
~/.emacs.d/newsticker/newst-treeview hides
/home/deniz/usr/share/emacs/23.1.50/lisp/net/newst-treeview